xine-lib: Data Fields - Variables

xine-lib 1.2.13-20230125hg15249

Here is a list of all variables with links to the structures/unions they belong to:

### - d -

- d : aos_t, mmx_t, pulldown_metrics_s, x11_visual_t, xine_mfrag_frag_t
- dangling_img : vdpau_h264_decoder_s
- data : _Block, _cfg_cb_info_t, _FAST_INSTRUCTION, _INSTRUCTION, cdsector_t, fb_frame_s, osd_font_s, post_plugin_fooviz_s, post_plugin_goom_s, post_plugin_oscope_s, pvr_input_plugin_t, qta_decoder_s, qtv_decoder_s, rmff_header_t, xine_event_queue_private_s, xine_event_t, xine_post_in_s, xine_post_out_s, xml_node_s
- data1 : cmsg_data_s
- data2 : cmsg_data_s
- data_bitrate : asf_stream_extension_s
- data_chunk_size : demux_real_t
- data_cond : dx2_driver_t
- data_heap : _GoomSL
- data_idx : post_plugin_fftgraph_s, post_plugin_fftscope_s, post_plugin_fooviz_s, post_plugin_goom_s, post_plugin_oscope_s
- data_len : qta_decoder_s, qtv_decoder_s, subtitle_object_s
- data_length : demux_tta_t, xine_event_t
- data_mutex : dx2_driver_t
- data_offset : rmff_prop_t
- data_packet_count : asf_file_s
- data_rate : reference_t
- data_size : demux_aiff_t, demux_asf_s, demux_aud_t, demux_film_t, demux_flac_s, demux_flac_t, demux_iff_t, demux_ipmovie_t, demux_mve_t, demux_nsv_t, demux_pva_t, demux_ra_t, demux_real_t, demux_snd_t, demux_str_t, demux_vmd_t, demux_voc_t, demux_wav_t, demux_yuv4mpeg2_t, fifo_buffer_s, segment_buffer_t, subtitle_object_s, vo_overlay_s
- data_start : demux_aiff_t, demux_aud_t, demux_dts_t, demux_film_t, demux_flac_s, demux_flac_t, demux_iff_t, demux_mve_t, demux_ra_t, demux_real_t, demux_snd_t, demux_str_t, demux_vmd_t, demux_voc_t, demux_vqa_t, demux_wav_t, demux_yuv4mpeg2_t
- datastart : demux_tta_t
- dblbuf_select : pgx64_driver_t
- dbuf_max : aos_t
- dbuf_min : aos_t
- dbuf_num : aos_t
- dbuf_size : aos_t
- dbuf_used : aos_t
- dc_dct_pred : mpeg2_decoder_s, picture_s
- DCTblock : mpeg2_decoder_s, picture_s
- ddclipper : win32_driver_t
- ddobj : win32_driver_t
- dds : dvbsub_func_t
- ddsd : win32_driver_t
- deblocking_filter_control_present_flag : pic_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_pps_t
- dec_config : faad_decoder_t
- dec_config_size : faad_decoder_t
- dec_infos : demux_slave_t
- dec_ref_pic_marking : slice_header
- dec_ref_pic_marking_count : slice_header
- decay_ifs : _PLUGIN_INFO
- declip : mad_decoder_s
- decode : ff_audio_decoder_s
- decode_attempts : ff_video_decoder_s
- decode_buffer : dvaudio_decoder_s, ff_audio_decoder_s
- decode_data : audio_decoder_s, spu_decoder_s, video_decoder_s
- decode_map : demux_ipmovie_t
- decode_map_size : demux_ipmovie_t
- decoded : xine_xxmc_s
- decoded_crc32 : wvheader_t
- decoded_frames : mmal_decoder_s
- DecodeGet : IHidden2_vt
- decoder : aom_decoder_s, mmal_decoder_s, mpc_decoder_s, mpeg2dec_s, vdpau_driver_t, vdpau_h264_alter_decoder_t, vdpau_h264_decoder_s, vdpau_mpeg12_decoder_s, vdpau_mpeg4_decoder_s, vdpau_vc1_decoder_s
- decoder_class : a52dec_class_t, faad_class_t, ff_audio_class_t, ff_video_class_s, fooaudio_class_t, foovideo_class_t, vorbis_class_t
- decoder_config : properties_t
- decoder_config_len : properties_t
- decoder_count : plugin_catalog_s
- decoder_flags : buf_element_s
- decoder_height : vdpau_h264_alter_decoder_t, vdpau_mpeg12_decoder_s, vdpau_mpeg4_decoder_s, vdpau_vc1_decoder_s
- decoder_info : all_info_t, buf_element_s, demux_slave_t
- decoder_info_ptr : buf_element_s, demux_slave_t
- decoder_init_mode : ff_video_decoder_s
- decoder_ok : bitplane_decoder_s, dvaudio_decoder_s, ff_audio_decoder_s, ff_video_decoder_s, foovideo_decoder_s, hevc_decoder_s, mmal_decoder_s, mpc_decoder_s, realdec_decoder_s, rgb_decoder_s, vpx_decoder_s, w32a_decoder_s, w32v_decoder_s, yuv_decoder_s
- decoder_pri_help : xine_private_t
- decoder_profile : vdpau_h264_alter_decoder_t, vdpau_mpeg12_decoder_s, vdpau_mpeg4_decoder_s, vdpau_vc1_decoder_s
- decoder_started : vdpau_h264_decoder_s
- decoder_width : vdpau_h264_alter_decoder_t, vdpau_mpeg12_decoder_s, vdpau_mpeg4_decoder_s, vdpau_vc1_decoder_s
- DecodeSet : IHidden2_vt
- Decommit : IMemAllocator_vt
- decpar : qtv_decoder_s
- defaction : opengl_render_t
- default_allocator : dav1d_decoder_s
- default_autoplay : vcd_input_class_s, vcdplayer_s
- default_cadj : directfb_driver_s
- default_chunk : xine_sarray_s
- default_duration : matroska_track_s
- default_entry : vcdplayer_s
- default_flag : matroska_track_s
- default_level : directfb_driver_s
- default_sample_description_index : qt_trak
- default_sample_duration : qt_trak
- default_sample_flags : qt_trak
- default_sample_size : qt_trak
- default_video_channel : demux_str_t
- defer : xv_property_t
- defrag : asf_demux_stream_t
- defx : grid3d
- defz : grid3d
- deinterlace : directfb_driver_s, vaapi_driver_s, vdpau_driver_t
- deinterlace_en : pgx32_driver_t, pgx64_driver_t
- deinterlace_enabled : xxmc_driver_s
- deinterlace_frame : deinterlace_method_s
- deinterlace_method_hd : vdpau_driver_t
- deinterlace_method_sd : vdpau_driver_t
- deinterlacers_method : vdpau_driver_t
- deinterlacers_name : vdpau_driver_t
- delai : vbri_header_t
- delay : ao_driver_s, spudec_state_t, xine_nbc_st
- delay_finish_event : xine_stream_private_st
- delay_index : qt_trak
- delayed_pts : matroska_track_s
- delaysfield : deinterlace_method_s
- delegate : XineOpenGLView
- delete_object : xine_pool_s
- delivered_bos : stream_info_s
- delivered_eos : stream_info_s
- delivered_format : pgx32_driver_t, pgx64_driver_t, vidix_driver_s
- delivered_height : vo_scale_s
- delivered_ratio : vo_scale_s
- delivered_width : vo_scale_s
- delta : MVtab
- delta_pic_order_always_zero_flag : seq_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_sps_t
- delta_pic_order_cnt : slice_header, vdec_hw_h264_lps_t
- delta_pic_order_cnt_bottom : slice_header, vdec_hw_h264_lps_t
- demux : xine_stream_private_st
- demux_action_req : bluray_input_plugin_t
- demux_class : demux_anx_class_t, demux_ogg_class_t, demux_plugin_s
- demux_device : tuner_t
- demux_plugin : avformat_demux_plugin_t, demux_aac_t, demux_ac3_t, demux_aiff_t, demux_asf_s, demux_aud_t, demux_avi_s, demux_cdda_t, demux_dts_t, demux_eawve_t, demux_film_t, demux_flac_s, demux_flac_t, demux_fli_t, demux_flv_t, demux_fourxm_t, demux_idcin_t, demux_iff_t, demux_image_s, demux_ipmovie_t, demux_ivf_t, demux_matroska_t, demux_mng_t, demux_mod_t, demux_mpc_t, demux_mpeg_block_s, demux_mpeg_elem_t, demux_mpeg_pes_s, demux_mpeg_s, demux_mpgaudio_t, demux_mve_t, demux_nsf_t, demux_nsv_t, demux_ogg_s, demux_playlist_t, demux_pva_t, demux_qt_t, demux_ra_t, demux_raw_dv_t, demux_real_t, demux_roq_t, demux_shn_t, demux_slave_t, demux_smjpeg_t, demux_snd_t, demux_sputext_t, demux_str_t, demux_ts_t, demux_tta_t, demux_vc1_es_t, demux_vmd_t, demux_voc_t, demux_vox_t, demux_vqa_t, demux_wav_t, demux_wv_t, demux_yuv4mpeg2_t, demux_yuv_frames_s
- demux_strategy : xine_s
- demuxer_info : all_info_t
- demuxers_running : xine_stream_private_st
- den : AVRational, scale_int_t, xine_rats_t
- Depth : Fractal_Struct
- depth : DestMerge, fb_driver_s, pgx32_driver_t, pgx64_driver_t, properties_t, region_t, vidix_driver_s, x11osd, xcbosd, xshm_driver_t
- desc : _PARAM, _PARAMETERS, demux_ts_spu_lang
- description : asf_content_s, audio_decoder_class_s, audio_driver_class_s, cfg_entry_s, deinterlace_method_s, demux_class_s, epg_entry_t, input_class_s, post_class_s, qt_info, spu_decoder_class_s, video_decoder_class_s, video_driver_class_s, xine_cfg_entry_s, xine_module_class_s, xine_post_api_parameter_t, xine_progress_data_t
- descriptor_tag : demux_ts_media
- dest : demux_iff_t, EGPoint, mpeg2_decoder_s, picture_s
- dest_height : yuv2rgb_impl_s
- dest_size_cb : vo_scale_s, x11_visual_t, xcb_visual_t
- dest_width : yuv2rgb_impl_s
- destroy : vdpau_driver_t, xine_glconv_t, xine_hwdec_t
- destructor : refcounter_t, xine_refs_t
- detained : pgx64_driver_t
- detained_frames : pgx64_driver_t
- dev_fd : pvr_input_plugin_t
- dev_lock : pvr_input_plugin_t
- devfd : pgx32_driver_t, pgx64_driver_t
- device : bluray_input_class_t, cdda_input_plugin_t, dvd_input_plugin_s, vcd_input_class_t, vdpau_driver_t
- devname : pvr_input_plugin_t
- devnum : dxr3_decoder_s, dxr3_driver_class_s, dxr3_spudec_s
- devs : alsa_driver_s
- dfb : directfb_driver_s
- dgadraw : pgx32_driver_t, pgx64_driver_t
- dh : opengl2_draw_info_t
- diff : metronom_impl_t
- difference_of_pic_nums_minus1 : slice_header
- difseg_size : DVprofile
- dimensions : cmsg_data_s
- dir : _PinInfo
- direct_8x8_inference_flag : seq_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_sps_t
- direct_spatial_mv_pred_flag : slice_header, vdec_hw_h264_lps_t
- direction : CcrtChunk, xine_spu_button_t
- dirty_from : xine_mfrag_list_s
- disable_bob_for_progressive_frames : xxmc_driver_s
- disable_bob_for_scaled_osd : xxmc_driver_s
- disable_decoder_flush_at_discontinuity : xine_stream_private_st
- disable_decoder_flush_from_video_out : vos_t
- disable_dynrng_compress : a52dec_class_t
- disable_exact_blending : alphablend_t
- disc : metronom_impl_t
- disc_artist : cdda_input_plugin_t
- disc_category : cdda_input_plugin_t
- disc_id : cdda_input_plugin_t
- disc_info : bluray_input_plugin_t
- disc_length : cdda_input_plugin_t
- disc_name : bluray_input_plugin_t
- disc_num : vdr_metronom_t
- disc_off : buf_element_s
- disc_root : bluray_input_plugin_t
- disc_title : cdda_input_plugin_t
- disc_year : cdda_input_plugin_t
- discard : vo_instance_s
- discard_buffers : aos_t
- discard_fbuf : mpeg2_info_s
- discard_frames : vos_t
- discarded_frames : xine_dropped_frames_t
- discarded_threshold : xine_dropped_frames_t
- Disconnect : IPin_vt
- Discontinuity : IMediaObject_vt
- discontinuity : audio_decoder_s, mmal_decoder_s, spu_decoder_s, video_decoder_s
- discontinuity_flag : sei_message
- disp_type : vo_accel_generic_t
- display : opengl_driver_t, opengl_render_t, pgx32_driver_t, pgx64_driver_t, vaapi_driver_s, vdpau_driver_t, vo_accel_generic_t, x11_visual_t, x11osd, xine_egl_t, xine_glx_t, xine_va_display_plugin_s, xine_wayland_visual_t, xshm_driver_t, xv_driver_s, xxmc_driver_s
- display_fbuf : mpeg2_info_s
- display_frame : vo_driver_s
- display_height : matroska_video_track_t, mpeg2_sequence_s, opengl2_driver_s, picture_s, vdpau_driver_t
- display_horizontal_size : picture_s, sequence_t
- display_offset : mpeg2_picture_s
- display_offset_x : mpeg2dec_s
- display_offset_y : mpeg2dec_s
- display_picture : mpeg2_info_s
- display_picture_2nd : mpeg2_info_s
- display_queue : vos_t
- display_vertical_size : picture_s, sequence_t
- display_vpts : cc_renderer_s
- display_width : matroska_video_track_t, mpeg2_sequence_s, opengl2_driver_s, picture_s, vdpau_driver_t
- display_x : osd_object_s
- display_y : osd_object_s
- displayed : cc_decoder_s, cc_renderer_s, mmal_frame_t
- displayed_height : vo_scale_s
- displayed_width : vo_scale_s
- displayed_xoffset : vo_scale_s
- displayed_yoffset : vo_scale_s
- dispmanx_handle : mmal_driver_t
- dispose : audio_decoder_class_s, audio_decoder_s, audio_driver_class_s, config_values_s, demux_class_s, demux_plugin_s, fifo_buffer_s, input_class_s, input_plugin_s, post_class_s, post_plugin_s, scratch_buffer_s, spu_decoder_class_s, spu_decoder_s, video_decoder_class_s, video_decoder_s, video_driver_class_s, video_overlay_manager_s, vo_driver_s, vo_frame_s, xine_gl, xine_grab_video_frame_s, xine_module_class_s, xine_module_s, xine_va_display_t, yuv2rgb_factory_s, yuv2rgb_s
- dispose_pending : post_plugin_s
- distt : _TENTACLE_FX_DATA
- distt2 : _TENTACLE_FX_DATA
- dll : _CodecInfo
- DMARKHI : _IVideoDecoder
- DMARKLO : _IVideoDecoder
- dmo_dec : w32a_decoder_s, w32v_decoder_s
- dmv : DMVtab
- dmv_offset : mpeg2_decoder_s, picture_s
- dnr_mode : ivtv_ioctl_codec
- dnr_spatial : ivtv_ioctl_codec
- dnr_temporal : ivtv_ioctl_codec
- dnr_type : ivtv_ioctl_codec
- do_amp : aos_t
- do_compress : aos_t
- do_equ : aos_t
- do_resample : aos_t
- do_samples_skip : post_plugin_goom_s
- do_scale : yuv2rgb_impl_s
- doctype : ebml_parser_s
- doctype_read_version : ebml_parser_s
- doctype_version : ebml_parser_s
- done : theora_decoder_s
- done_flushing : vos_t
- done_stepping : vos_t
- doscalerbob : deinterlace_method_s
- downmix_shift : ff_audio_decoder_s
- doYUY2 : raw_driver_t
- doYV12 : raw_driver_t
- dp : caca_driver_t
- dpan : demux_iff_t
- dpb : h264_parser, vdec_hw_h264_sequence_t
- dpb_output_delay : sei_message
- dpb_output_delay_length_minus1 : hrd_parameters
- dpi : demux_iff_t
- dr2_mean : Fractal_Struct
- dr_mean : Fractal_Struct
- draw : vo_frame_s, vo_instance_s, vos_t
- draw_bitmap : osd_renderer_s
- draw_line : _PLUGIN_INFO
- drawable : opengl_driver_t, pgx32_driver_t, pgx64_driver_t, vaapi_driver_s, vdpau_driver_t, xine_glx_t, xshm_driver_t, xv_driver_s, xxmc_driver_s
- drawable_lock : opengl2_driver_s, vdpau_driver_t
- drawIFS : GoomState
- drawLinesDuration : _PLUGIN_INFO
- drawn : vdec_hw_h264_frame_int_s, vo_frame_s
- drawPoints : GoomState
- drawScope : GoomState
- drawTentacle : GoomState
- dreqs_all : aos_t
- dreqs_wait : aos_t
- dri : dav1d_decoder_s
- drift : metronom_impl_t
- drift_step : metronom_impl_t
- driver : aos_t, ff_vaapi_context_s, vo_frame_s, vos_t, xine_video_port_s
- driver_capabilities : xine_hwdec_t
- driver_caps : aos_t
- driver_class : aa_class_t, alsa_class_t, ao_file_class_t, ao_none_class_t, audiox_class_t, caca_class_t, coreaudio_class_t, directfb_class_t, directx_class_t, dx2_class_t, esd_class_t, fb_class_t, jack_class_t, macosx_class_t, mmal_class_t, opengl2_class_t, opengl_class_t, opensles_class_t, oss_class_t, pulse_class_t, raw_class_t, sdl_class_t, sndio_class_t, stk_class_t, sun_class_t, vaapi_class_t, vdpau_class_t, vidix_class_s, xshm_class_t, xv_class_t, xxmc_class_t
- driver_lock : vos_t
- driver_type : w32a_decoder_s, w32v_decoder_s
- drm_fd : xine_va_display_impl_t
- drop_frame : mpeg2dec_s
- drop_frame_flag : picture_s
- drop_pts : vdec_hw_h264_frame_int_s
- dropped : aos_t
- ds : dx2_driver_t
- ds_dec : w32a_decoder_s, w32v_decoder_s
- dsbcaps : ao_directx_t
- dsbuffer : ao_directx_t, dx2_driver_t
- dsf : DVprofile
- dsobj : ao_directx_t
- dst_rect : mmal_overlay_s
- dstcol : _TENTACLE_FX_DATA
- dstrides : vidix_driver_s
- dts : demux_mpeg_block_s, demux_mpeg_pes_s
- dts_bit_rate : dts_decoder_t
- dts_flags : dts_decoder_t
- dts_flags_map : dts_decoder_t
- dts_offset : dxr3_decoder_s
- dts_sample_rate : dts_decoder_t
- dts_state : dts_decoder_t
- dummy : cpu_state_s, cpu_state_t, xine_fast_text_s
- dummy1 : metronom_clock_s
- dummy10 : metronom_clock_s
- dummy11 : metronom_clock_s
- dummy2 : metronom_clock_s
- dummy3 : metronom_clock_s
- dummy4 : metronom_clock_s
- dummy5 : metronom_clock_s
- dummy6 : metronom_clock_s
- dummy7 : metronom_clock_s
- dummy8 : metronom_clock_s
- dummy9 : metronom_clock_s
- duration : demux_flv_t, demux_matroska_t, demux_raw_dv_t, demux_real_t, demux_smjpeg_t, EGPoint, film_sample_t, mdpr_t, mpd_input_plugin_s, mpg_audio_frame_t, qt_info, realdec_decoder_s, rmff_mdpr_t, rmff_prop_t, sdpplin_stream_t, vdec_hw_h264_frame_t, vo_frame_s, xine_mrl_reference_data_ext_t
- duration_hours : epg_entry_t
- duration_in_ms : demux_fourxm_t
- duration_minutes : epg_entry_t
- dvb_gui_enabled : dvb_input_plugin_t
- dvbs_center : xine_nbc_st
- dvbs_width : xine_nbc_st
- dvbspeed : xine_nbc_st
- dvbsub : dvb_spu_decoder_s, xine_private_t
- dvd_dev : xine_health_check_s
- dvd_device : dvd_input_class_t
- dvd_name : dvd_input_plugin_s
- dvdnav : dvd_input_plugin_s
- dvr_device : tuner_t
- dw : opengl2_draw_info_t
- dwAvgBytesPerSec : ao_file_wavhdr
- dwChunkId : _avistdindex_chunk, _avisuperindex_chunk
- dwDataLength : ao_file_wavhdr
- dwDuration : _avisuperindex_entry
- dwInitialFrames : avi_audio_t, avi_t
- dwOffset : _avistdindex_entry
- dwRate : avi_audio_t, avi_t
- dwReserved : _avisuperindex_chunk
- dwReserved3 : _avistdindex_chunk
- dwSampleSize : avi_audio_t
- dwSamplesPerSecond : ao_file_wavhdr
- dwScale : avi_audio_t, avi_t
- dwSize : _avistdindex_chunk, _avistdindex_entry, _avisuperindex_chunk, _avisuperindex_entry
- dwStart : avi_audio_t, avi_t
- dwStatus : _DMO_OUTPUT_DATA_BUFFER
- dx : opengl2_draw_info_t, video2wnd_s
- dxr3_vo : dxr3_spudec_s
- dy : opengl2_draw_info_t, video2wnd_s